%define	upstream_name	 Compress-Raw-Lzma
%define upstream_version 2.204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Low-Level Interface to lzma compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: bzip2-devel
BuildRequires: perl-devel
BuildRequires: xz-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress

%changelog
* Mon Feb 20 2023 tv <tv> 2.204.0-1.mga9
+ Revision: 1944259
- update to 2.204

* Tue Jun 28 2022 tv <tv> 2.201.0-1.mga9
+ Revision: 1866486
- update to 2.201

* Mon Jun 06 2022 umeabot <umeabot> 2.103.0-2.mga9
+ Revision: 1861614
- Rebuild for Perl 5.36

* Mon Apr 04 2022 tv <tv> 2.103.0-1.mga9
+ Revision: 1843887
- update to 2.103

* Fri Mar 18 2022 umeabot <umeabot> 2.101.0-4.mga9
+ Revision: 1797866
- Mageia 9 Mass Rebuild

* Thu May 27 2021 tv <tv> 2.101.0-3.mga9
+ Revision: 1728661
- BR xz-devel
+ tmb <tmb>
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Thu Mar 11 2021 neoclust <neoclust> 2.101.0-1.mga9
+ Revision: 1701360
- imported package perl-Compress-Raw-Lzma

